# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Triangulation Class Reference

Used to display a triangulation.
Display internal edges in blue
Display boundary edges in red
Optional display of triangles and nodes indices.
.

`#include <DrawTrSurf_Triangulation.hxx>`

Inheritance diagram for DrawTrSurf_Triangulation:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_Triangulation (const Handle(Poly_Triangulation)&T)
Standard_EXPORT Handle_Poly_Triangulation | Triangulation () const
Standard_EXPORT void | ShowNodes (const Standard_Boolean B)
Standard_EXPORT Standard_Boolean | ShowNodes () const
Standard_EXPORT void | ShowTriangles (const Standard_Boolean B)
Standard_EXPORT Standard_Boolean | ShowTriangles () const
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_Poly_Triangulation | myTriangulation
Handle_TColStd_HArray1OfInteger | myInternals
Handle_TColStd_HArray1OfInteger | myFree
Standard_Boolean | myNodes
Standard_Boolean | myTriangles

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Triangulation::DrawTrSurf_Triangulation | ( | const Handle(Poly_Triangulation)& | T | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_Triangulation::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void DrawTrSurf_Triangulation::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void DrawTrSurf_Triangulation::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const DrawTrSurf_Triangulation::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT Standard_Boolean DrawTrSurf_Triangulation::ShowNodes | ( |  | ) | const

Standard_EXPORT void DrawTrSurf_Triangulation::ShowNodes | ( | const Standard_Boolean | B | ) |

Standard_EXPORT Standard_Boolean DrawTrSurf_Triangulation::ShowTriangles | ( |  | ) | const

Standard_EXPORT void DrawTrSurf_Triangulation::ShowTriangles | ( | const Standard_Boolean | B | ) |

Standard_EXPORT Handle_Poly_Triangulation DrawTrSurf_Triangulation::Triangulation | ( |  | ) | const

virtual Standard_EXPORT void DrawTrSurf_Triangulation::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Handle_TColStd_HArray1OfInteger DrawTrSurf_Triangulation::myFree `[private]`

Handle_TColStd_HArray1OfInteger DrawTrSurf_Triangulation::myInternals `[private]`

Standard_Boolean DrawTrSurf_Triangulation::myNodes `[private]`

Standard_Boolean DrawTrSurf_Triangulation::myTriangles `[private]`

Handle_Poly_Triangulation DrawTrSurf_Triangulation::myTriangulation `[private]`

The documentation for this class was generated from the following file:

- DrawTrSurf_Triangulation.hxx